USB_HOST_INTFLAG_Type Union Reference

## Data Fields

struct {
__I uint16_t:2
__I uint16_t HSOF:1
__I uint16_t RST:1
__I uint16_t WAKEUP:1
__I uint16_t DNRSM:1
__I uint16_t UPRSM:1
__I uint16_t RAMACER:1
__I uint16_t DCONN:1
__I uint16_t DDISC:1
} | bit
uint16_t | reg

## Detailed Description

Definition at line 649 of file usb.h.

## Field Documentation

## bit

struct { ... } USB_HOST_INTFLAG_Type::bit

Structure used for bit access

## DCONN

__I uint16_t USB_HOST_INTFLAG_Type::DCONN

bit: 8 Device Connection

Definition at line 658 of file usb.h.

## DDISC

__I uint16_t USB_HOST_INTFLAG_Type::DDISC

bit: 9 Device Disconnection

Definition at line 659 of file usb.h.

## DNRSM

__I uint16_t USB_HOST_INTFLAG_Type::DNRSM

bit: 5 Downstream

Definition at line 655 of file usb.h.

## HSOF

__I uint16_t USB_HOST_INTFLAG_Type::HSOF

bit: 2 Host Start Of Frame

Definition at line 652 of file usb.h.

## RAMACER

__I uint16_t USB_HOST_INTFLAG_Type::RAMACER

bit: 7 Ram Access

Definition at line 657 of file usb.h.

## reg

uint16_t USB_HOST_INTFLAG_Type::reg

Type used for register access

Definition at line 662 of file usb.h.

## RST

__I uint16_t USB_HOST_INTFLAG_Type::RST

bit: 3 Bus Reset

Definition at line 653 of file usb.h.

## uint16_t

__I USB_HOST_INTFLAG_Type::uint16_t

bit: 0.. 1 Reserved

bit: 10..15 Reserved

Definition at line 651 of file usb.h.

## UPRSM

__I uint16_t USB_HOST_INTFLAG_Type::UPRSM

bit: 6 Upstream Resume from the Device

Definition at line 656 of file usb.h.

## WAKEUP

__I uint16_t USB_HOST_INTFLAG_Type::WAKEUP

bit: 4 Wake Up

Definition at line 654 of file usb.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/usb.h